//----------------------------------------------------------------------------
//  Project PropTree
//  Allgood Software
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    PropTree Application
//  FILE:         proptreeaboutdlg.h
//  AUTHOR:       Russell Morris
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TPropTreeAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(proptreeaboutdlg_h)              // Sentry, use file only if it's not already included.
#define proptreeaboutdlg_h

#include <owl/static.h>

#include "proptreeapp.rh"                  // Definition of all resources.


//{{TDialog = TPropTreeAboutDlg}}
class TPropTreeAboutDlg : public TDialog {
  public:
    TPropTreeAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TPropTreeAboutDlg();

//{{TPropTreeAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TPropTreeAboutDlgVIRTUAL_END}}
};    //{{TPropTreeAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // proptreeaboutdlg_h sentry.
