//----------------------------------------------------------------------------
//  Project PropTree
//  Allgood Software
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    PropTree Application
//  FILE:         proptreeapp.cpp
//  AUTHOR:       Russell Morris
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TPropTreeApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "proptree.h"
#include "wizproptree.h"
#include "proptreeapp.h"
#include "proptreeaboutdlg.h"                        // Definition of about dialog.
#include "dullproptree.h"
#include "mywizproptree.h"

//{{TPropTreeApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TPropTreeApp, TApplication)
//{{TPropTreeAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
  EV_COMMAND(CM_PROPTEST, CmProptest),
  EV_COMMAND(CM_WIZTEST, CmWiztest),
//{{TPropTreeAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TPropTreeApp
//
TPropTreeApp::TPropTreeApp() : TApplication("PropTree")
{
}


TPropTreeApp::~TPropTreeApp()
{
  // INSERT>> Your destructor code here.
}


//--------------------------------------------------------
// TPropTreeApp
// ~~~~~
// Application intialization.
//
void TPropTreeApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TSDIDecFrame* frame = new TSDIDecFrame(0, GetName(), 0, false);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  // Menu associated with window and accelerator table associated with table.
  //
  frame->AssignMenu(IDM_SDI);

  // Associate with the accelerator table.
  //
  frame->Attr.AccelTable = IDM_SDI;

  SetMainWindow(frame);

  frame->SetMenuDescr(TMenuDescr(IDM_SDI));
}



//--------------------------------------------------------
// TPropTreeApp
// ~~~~~~~~~~~
// Menu File New command
//
void TPropTreeApp::CmFileNew()
{
}


TSDIDecFrame::TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TDecoratedFrame(parent, title, !clientWnd ? new TWindow(0, "") : clientWnd, trackMenuSelection, module)
{
  // INSERT>> Your constructor code here.

}


TSDIDecFrame::~TSDIDecFrame()
{
  // INSERT>> Your destructor code here.

}


//--------------------------------------------------------
// TPropTreeApp
// ~~~~~~~~~~~
// Menu Help About PropTree command
//
void TPropTreeApp::CmHelpAbout()
{
  // Show the modal dialog.
  //
  TPropTreeAboutDlg(MainWindow).Execute();
}



int OwlMain(int , char* [])
{
  TPropTreeApp   app;
  return app.Run();
}


void TPropTreeApp::CmProptest()
{
  // Execute our dull example class
  //
  TDullPropTree(GetMainWindow(),IDD_PROPTREE).Execute();
}


void
TPropTreeApp::CmWiztest()
{
  TWizData *data = new TWizData();

  TMyWizPropTree(GetMainWindow(),data,IDD_PROPTREEWIZ).Execute();

  delete data;
}

