//----------------------------------------------------------------------------
//  Project PropTree
//  Allgood Software
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    PropTree Application
//  FILE:         proptreeapp.h
//  AUTHOR:       Russell Morris
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TPropTreeApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(proptreeapp_h)              // Sentry, use file only if it's not already included.
#define proptreeapp_h

#include <owl/opensave.h>


#include "proptreeapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = TSDIDecFrame}}
class TSDIDecFrame : public TDecoratedFrame {
  public:
    TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();
};    //{{TSDIDecFrame}}


//{{TApplication = TPropTreeApp}}
class TPropTreeApp : public TApplication {
  private:


  public:
    TPropTreeApp();
    virtual ~TPropTreeApp();

    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.
    void OpenFile(const char* fileName = 0);

//{{TPropTreeAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TPropTreeAppVIRTUAL_END}}

//{{TPropTreeAppRSP_TBL_BEGIN}}
  protected:
    void CmFileNew();
    void CmFileOpen();
    void CmHelpAbout();
    void CmProptest();
    void CmWiztest();
//{{TPropTreeAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TPropTreeApp);
};    //{{TPropTreeApp}}


#endif  // proptreeapp_h sentry.
