#include <owl/pch.h>
#pragma hdrstop

#include "proptree.rh"
#include "proptreeapp.rh"
#include "proptree.h"
#include "dullproptree.h"
#include "dullchild.h"
#include "dullparent.h"
#include "dullpropnode.h"
#include "showoff2pane.h"
#include "showoff1pane.h"


TDullPropTree::TDullPropTree(TWindow* parent,
                             TResId resId,
                             TModule* module)
:
    TPropTreeDialog(parent, resId, module)
{
  nodeImages = new TImageList( *GetApplication(),
                                IDB_NODEBITMAPS,
                                13,
                                0,
                                TColor::White,
                                IMAGE_BITMAP,
                                0 );
}


TDullPropTree::~TDullPropTree()
{
  delete nodeImages;
}


void
TDullPropTree::SetupWindow()
{
  TPropTreeDialog::SetupWindow();

  // First set our image list
  //
  SetImageList( TTreeWindow::Normal, *nodeImages );

  // Let's add some dinky panes to our dinky example
  //
  TTreeNode root = GetRoot();

  TTreeNode  intro =
  AddPane( new TPropTreePane( this,
                              INTRO,
                              "TPropTreeDialog introduction",
                              IDD_INTROSPLASH),
           root,
           "Intro",
           0, 0);

  TTreeNode showOff =
  AddPane( new TPropTreePane( this,
                              SHOWOFFINTRO,
                              "Functions and abilities",
                              IDD_SHOWOFFINTRO),
           intro,
           "Show Off",
           0, 0);



  TTreeNode parent3 =
  AddPane( new TShowOff1Pane( this,
                              SHOWOFF,
                              "Example of TPropTreePane functionality",
                              IDD_SHOWOFF1),
           showOff,
           "Pane demo",
           1, 1);

  AddPane( new TShowOff1Pane( this,
                              SHOWOFF+1,
                              "Example of TPropTreePane functionality",
                              IDD_SHOWOFF1),
           showOff,
           "Pane demo",
           1, 1);

  AddPane( new TShowOff1Pane( this,
                              SHOWOFF+2,
                              "Example of TPropTreePane functionality",
                              IDD_SHOWOFF1),
           showOff,
           "Pane demo",
           1, 1);

  AddPane( new TShowOff2Pane( this,
                              SHOWOFF2,
                              "Example of TPropTreePane functionality",
                              IDD_SHOWOFF2),
           parent3,
           "Pane demo",
           2, 2);

  AddPane( new TShowOff2Pane( this,
                              SHOWOFF2+1,
                              "Example of TPropTreePane functionality",
                              IDD_SHOWOFF2),
           parent3,
           "Pane demo",
           2, 2);

  AddPane( new TShowOff2Pane( this,
                              SHOWOFF2+2,
                              "Example of TPropTreePane functionality",
                              IDD_SHOWOFF2),
           parent3,
           "Pane demo",
           2, 2);

  TTreeNode fakeBusiness =
  AddPane( new TPropTreePane( this,
                              FAKEBUSINESS,
                              "A fake business",
                              IDD_FAKEBUSINESSINTRO),
           intro,
           "Company",
           0, 0);

  TTreeNode parent1 =
  AddPane( new TDullParentPane( this,
                                MARKETING,
                                "Marketing division employees",
                                IDD_DULLPARENT),
           fakeBusiness,
           "Marketing",
           0, 0);
  AddPane( new TDullChildPane(this,
                              JOEMAMA,
                              "An employee in marketing division",
                              IDD_DULLCHILD),
           parent1,
           "Joe Mama",
           1, 1);
  AddPane( new TDullChildPane( this,
                               ANGIEDADDY,
                               "An employee in marketing division",
                               IDD_DULLCHILD),
           parent1,
           "Angie Daddy",
           1, 1);
  AddPane( new TDullChildPane( this,
                               FATTYMCGEE,
                               "I like cheese",
                               IDD_DULLCHILD),
           parent1,
           "Fatty McGee",
           1, 1);

  TTreeNode parent2 =
  AddPane( new TDullParentPane( this,
                                RESEARCH,
                                "Research division employees",
                                IDD_DULLPARENT),
           fakeBusiness,
           "Research",
           0, 0);
  AddPane( new TDullChildPane(this,
                              EINSTEIN,
                              "An employee in research division",
                              IDD_DULLCHILD),
           parent2,
           "Einstein",
           1, 1);
  AddPane( new TDullChildPane( this,
                               FARRADAY,
                               "An employee in research division",
                               IDD_DULLCHILD),
           parent2,
           "Farraday",
           1, 1);
  AddPane( new TDullChildPane( this,
                               EULER,
                               "Hurray for exponents!",
                               IDD_DULLCHILD),
           parent2,
           "Euler",
           1, 1);


  // Make sure to select a pane, nasty things could happen if you don't
  //
  SelectPane( INTRO );
}


