#include <owl/pch.h>

#include "wizproptreepane.h"
#include "mywizproptree.h"
#include "radiowizpane.h"
#include "proptreeapp.rh"

TMyWizPropTree::TMyWizPropTree( TWindow *parent,
                                TWizData *data,
                                TResId resId,
                                TModule *module )
:
  TWizPropTreeDialog( parent, data, resId, module )
{
}


TMyWizPropTree::~TMyWizPropTree()
{
}


void
TMyWizPropTree::SetupWindow()
{
  TWizPropTreeDialog::SetupWindow();

  // Add our base panes now.
  //

  TTreeNode root = GetRoot();

  AddPane( new TWizPropTreePane( this,
                                 INTRO,
                                 "Introduction to this example.",
                                 IDD_WIZ1,
                                 0 ),
           root,
           "Intro" );

  // Now build the child info array to pass to TRadioWizPane
  //
  TChildInfoArray children(10, 0, 0);

  children.Add( TChildPaneInfo( 2, IDD_WIZ3, "Contact info", "" ) );
  children.Add( TChildPaneInfo( 3, IDD_WIZ4, "Hobbies", "" ) );
  children.Add( TChildPaneInfo( 4, IDD_WIZ5, "Interests", "" ) );

  AddPane( new TRadioWizPane( this,
                              PERSONAL,
                              CONTACTINFO,
                              BUSINESS,
                              children,
                              "Do you want to add personal data?",
                              IDD_WIZ2,
                              0 ),
           root,
           "Personal" );




  children.Flush();
  children.Add( TChildPaneInfo( 6, IDD_WIZ7, "Info", "" ) );

  AddPane( new TRadioWizPane( this,
                              BUSINESS,
                              INFO,
                              DONE,
                              children,
                              "Do you want to add business info?",
                              IDD_WIZ6,
                              0 ),
           root,
           "Business" );

  AddPane( new TWizPropTreePane( this,
                                 DONE,
                                 "Stop looking at me!",
                                 IDD_WIZ8,
                                 true,
                                 0 ),
           root,
           "Done!" );

  SelectPane(0);

}


