#include <owl/pch.h>
#pragma hdrstop

#include "proptreepane.h"
#include "showoff2pane.h"
#include "proptree.rh"
#include "proptreeapp.rh"

DEFINE_RESPONSE_TABLE1(TShowOff2Pane,TPropTreePane)

  EV_BN_CLICKED( IDC_NOAPPLY,  PaneChanged ),
  EV_BN_CLICKED( IDC_NOLEAVE,  PaneChanged ),
  EV_BN_CLICKED( IDC_NOCANCEL, PaneChanged ),
  EV_BN_CLICKED( IDC_NOSELECT, PaneChanged ),

END_RESPONSE_TABLE;

TShowOff2Pane::TShowOff2Pane( TPropTreeDialog* parent, uint32 uniqueId,
                                const char far *text, TResId resId,
                                TModule* module)
:
TPropTreePane( parent, uniqueId, text, resId, module )
{
  noApply  = new TCheckBox( this, IDC_NOAPPLY );
  noSelect = new TCheckBox( this, IDC_NOSELECT );
  noLeave  = new TCheckBox( this, IDC_NOLEAVE );
  noCancel = new TCheckBox( this, IDC_NOCANCEL );
}


TShowOff2Pane::~TShowOff2Pane()
{
}


//
// Response to a user pressing the TPropTreeDialog's Reset button.
// A "real" TPropTreePane would restore its controls to the state
// they were in after the last press of the Apply button.
//
void
TShowOff2Pane::Reset()
{
  // Blank out all the controls.
  //
  noApply->SetCheck(BF_UNCHECKED);
  noCancel->SetCheck(BF_UNCHECKED);
  noSelect->SetCheck(BF_UNCHECKED);
  noLeave->SetCheck(BF_UNCHECKED);

  MessageBox("Pane successfully reset.","Reset notification",MB_ICONINFORMATION);
}

//
// If the user has checked the "Refuse to apply changes..." checkbox,
// return true to stop the Apply process.
//
bool
TShowOff2Pane::Apply()
{
  // Kill the Apply process if noApply is checked
  //
  if( noApply->GetCheck() == BF_CHECKED )
    return true;

  MessageBox("Changes successfully applied","Apply notification",MB_ICONINFORMATION);
  PaneUnchanged();
  
  return false;
}


//
// If checked, it won't allow the user to press Cancel to end the dialog.
//
bool
TShowOff2Pane::QueryCancel()
{
  if( noCancel->GetCheck() == BF_CHECKED )
    return true;
  return false;
}


//
// If checked, do not allow the user to leave this pane (ie, select another)
//
bool
TShowOff2Pane::KillActive()
{
  if( noLeave->GetCheck() == BF_CHECKED )
    return true;
  return false;
}


//
// If checked, do not allow the user to select this pane again.
//
bool
TShowOff2Pane::SetActive()
{
  if( noSelect->GetCheck() == BF_CHECKED )
    return true;
  return false;
}
